Jb 3.2.2 -> jb 4.2.1

Discussion in 'iPad Hacks' started by kirixxx, Mar 11, 2011.

  1. kirixxx macrumors newbie

    Joined:
    Mar 11, 2011
    #1
    Hi everyone,

    Currently I have my iPad JB with Limera1n with 3.2.2 FW, I would like to upgrade to 4.2.1.
    Can i _update_ without losing my configuration? iTunes can upgrade to 4.3, but I have downloaded the official 4.2.1 IPSW file. Will I be able to update using this file and how?

    Thanks in advance!
     
  2. OPTiK macrumors newbie

    Joined:
    Feb 7, 2011
    #2
    I'm in the same boat, is it too late to do this?

    It looks like 4.2.1 blobs arent being signed anymore, therefore there's no way update to 4.2.1 from 3.2.2?
     
  3. sbddude macrumors 6502a

    Joined:
    Sep 27, 2010
    Location:
    Nor Cal, USA
    #3
    Hold shift, click resotre and it will prompt for the Ipsw file.
     
  4. OPTiK macrumors newbie

    Joined:
    Feb 7, 2011
    #4
    That doesn't work when itunes tries to contact the apple servers..even when you spoof it to cydia server.
     
  5. kirixxx thread starter macrumors newbie

    Joined:
    Mar 11, 2011
    #5
    That's what I did:
    - downloaded iPad1,1_4.2.1_8C148_Restore.ipsw
    - Shift+Update in iTunes 10.2.1.1 and loaded the file
    - the update went well (no host file change or smth like that)
    - downloaded greenp0ison and JB'd

    After reinstalling Cydia and Cydia apps everything works smoothly
     
  6. princezer macrumors newbie

    Joined:
    Mar 13, 2011
    #6
    i can't update to 4.2.1 with itunes it's not work : (
     
  7. princezer macrumors newbie

    Joined:
    Mar 13, 2011
    #7
    how can i update from 3.2.2 to 4.2.1 ??? :confused:

    thank in advance
     
  8. freeman727 macrumors 6502

    Joined:
    Feb 9, 2009
    #8
    Does it have to do with itunes 10.2? I can't seem to update from 3.2.2 to 4.2.1 either.
     
  9. dylanursula macrumors 6502

    Joined:
    Jun 27, 2010
    #9
    Did you save your shsh with tinyumbrella?
     
  10. iserian macrumors 6502

    Joined:
    Apr 30, 2010
    Location:
    Palo Alto Apple Store
  11. kirixxx thread starter macrumors newbie

    Joined:
    Mar 11, 2011
    #11
    @Those ones who cannot update in iTunes: it doesn't work because you can't do Shift+Update or because iTunes doesn't accept the .ipsw file?
     
  12. iserian macrumors 6502

    Joined:
    Apr 30, 2010
    Location:
    Palo Alto Apple Store
    #12
    Shift update is fine - select 4.21 IPSW and that's where it stops.
     
  13. nazaar macrumors 6502a

    nazaar

    Joined:
    Oct 28, 2008
    #13
    I'm having the same issue when I Option click in iTunes on the Restore button and choose the 4.2.1 ispw file.

    The error message says: "The iPhone <name> iPhone could not be restored. The device isn't eligible for the requested build."
     
  14. ljx718 macrumors 6502

    Joined:
    Dec 13, 2008
  15. Dav1 macrumors 6502

    Joined:
    Mar 14, 2011

Share This Page